﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Pertamina.CORSEC._2019.GetWorkOrder {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="urn:PTM:Integrasi:CorpSec:GetDataWO", ConfigurationName="GetWorkOrder.New_Port_0PortType")]
    public interface New_Port_0PortType {
        
        // CODEGEN: Generating message contract since message New_GetList_Operation_0Request has headers
        [System.ServiceModel.OperationContractAttribute(Action="urn:PTM:Integrasi:CorpSec:GetDataWO/New_GetList_Operation_0", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Response New_GetList_Operation_0(Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Request request);
        
        [System.ServiceModel.OperationContractAttribute(Action="urn:PTM:Integrasi:CorpSec:GetDataWO/New_GetList_Operation_0", ReplyAction="*")]
        System.Threading.Tasks.Task<Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Response> New_GetList_Operation_0Async(Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Request request);
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:PTM:Integrasi:CorpSec:GetDataWO")]
    public partial class AuthenticationInfo : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string userNameField;
        
        private string passwordField;
        
        private string authenticationField;
        
        private string localeField;
        
        private string timeZoneField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string userName {
            get {
                return this.userNameField;
            }
            set {
                this.userNameField = value;
                this.RaisePropertyChanged("userName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string password {
            get {
                return this.passwordField;
            }
            set {
                this.passwordField = value;
                this.RaisePropertyChanged("password");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string authentication {
            get {
                return this.authenticationField;
            }
            set {
                this.authenticationField = value;
                this.RaisePropertyChanged("authentication");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string locale {
            get {
                return this.localeField;
            }
            set {
                this.localeField = value;
                this.RaisePropertyChanged("locale");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string timeZone {
            get {
                return this.timeZoneField;
            }
            set {
                this.timeZoneField = value;
                this.RaisePropertyChanged("timeZone");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="urn:PTM:Integrasi:CorpSec:GetDataWO")]
    public partial class OutputMapping1GetListValues : object, System.ComponentModel.INotifyPropertyChanged {
        
        private System.DateTime submit_DateField;
        
        private bool submit_DateFieldSpecified;
        
        private StatusType statusField;
        
        private string departmentField;
        
        private string regionField;
        
        private string siteField;
        
        private System.DateTime dueDateField;
        
        private bool dueDateFieldSpecified;
        
        private string namaRequesterField;
        
        private string requestNumberField;
        
        private string summaryField;
        
        private string organizationField;
        
        private string operationalCategory1Field;
        
        private string operationalCategory2Field;
        
        private string operationalCategory3Field;
        
        private string notesField;
        
        private string work_Order_IDField;
        
        private System.DateTime completed_DateField;
        
        private bool completed_DateFieldSpecified;
        
        private System.Nullable<SLM_StatusType> sLM_StatusField;
        
        private bool sLM_StatusFieldSpecified;
        
        private string supportGroupNameField;
        
        private string assigneeLoginIDField;
        
        private string supportCompanyField;
        
        private string supportOrganizationField;
        
        private string assigneeField;
        
        private System.Nullable<MeasurementStatusType> measurementStatusField;
        
        private bool measurementStatusFieldSpecified;
        
        public OutputMapping1GetListValues() {
            this.statusField = StatusType.Assigned;
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public System.DateTime Submit_Date {
            get {
                return this.submit_DateField;
            }
            set {
                this.submit_DateField = value;
                this.RaisePropertyChanged("Submit_Date");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool Submit_DateSpecified {
            get {
                return this.submit_DateFieldSpecified;
            }
            set {
                this.submit_DateFieldSpecified = value;
                this.RaisePropertyChanged("Submit_DateSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public StatusType Status {
            get {
                return this.statusField;
            }
            set {
                this.statusField = value;
                this.RaisePropertyChanged("Status");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string Department {
            get {
                return this.departmentField;
            }
            set {
                this.departmentField = value;
                this.RaisePropertyChanged("Department");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Region {
            get {
                return this.regionField;
            }
            set {
                this.regionField = value;
                this.RaisePropertyChanged("Region");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string Site {
            get {
                return this.siteField;
            }
            set {
                this.siteField = value;
                this.RaisePropertyChanged("Site");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=5)]
        public System.DateTime DueDate {
            get {
                return this.dueDateField;
            }
            set {
                this.dueDateField = value;
                this.RaisePropertyChanged("DueDate");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DueDateSpecified {
            get {
                return this.dueDateFieldSpecified;
            }
            set {
                this.dueDateFieldSpecified = value;
                this.RaisePropertyChanged("DueDateSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=6)]
        public string NamaRequester {
            get {
                return this.namaRequesterField;
            }
            set {
                this.namaRequesterField = value;
                this.RaisePropertyChanged("NamaRequester");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=7)]
        public string RequestNumber {
            get {
                return this.requestNumberField;
            }
            set {
                this.requestNumberField = value;
                this.RaisePropertyChanged("RequestNumber");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=8)]
        public string Summary {
            get {
                return this.summaryField;
            }
            set {
                this.summaryField = value;
                this.RaisePropertyChanged("Summary");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=9)]
        public string Organization {
            get {
                return this.organizationField;
            }
            set {
                this.organizationField = value;
                this.RaisePropertyChanged("Organization");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=10)]
        public string OperationalCategory1 {
            get {
                return this.operationalCategory1Field;
            }
            set {
                this.operationalCategory1Field = value;
                this.RaisePropertyChanged("OperationalCategory1");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=11)]
        public string OperationalCategory2 {
            get {
                return this.operationalCategory2Field;
            }
            set {
                this.operationalCategory2Field = value;
                this.RaisePropertyChanged("OperationalCategory2");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=12)]
        public string OperationalCategory3 {
            get {
                return this.operationalCategory3Field;
            }
            set {
                this.operationalCategory3Field = value;
                this.RaisePropertyChanged("OperationalCategory3");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=13)]
        public string Notes {
            get {
                return this.notesField;
            }
            set {
                this.notesField = value;
                this.RaisePropertyChanged("Notes");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=14)]
        public string Work_Order_ID {
            get {
                return this.work_Order_IDField;
            }
            set {
                this.work_Order_IDField = value;
                this.RaisePropertyChanged("Work_Order_ID");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=15)]
        public System.DateTime Completed_Date {
            get {
                return this.completed_DateField;
            }
            set {
                this.completed_DateField = value;
                this.RaisePropertyChanged("Completed_Date");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool Completed_DateSpecified {
            get {
                return this.completed_DateFieldSpecified;
            }
            set {
                this.completed_DateFieldSpecified = value;
                this.RaisePropertyChanged("Completed_DateSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=16)]
        public System.Nullable<SLM_StatusType> SLM_Status {
            get {
                return this.sLM_StatusField;
            }
            set {
                this.sLM_StatusField = value;
                this.RaisePropertyChanged("SLM_Status");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool SLM_StatusSpecified {
            get {
                return this.sLM_StatusFieldSpecified;
            }
            set {
                this.sLM_StatusFieldSpecified = value;
                this.RaisePropertyChanged("SLM_StatusSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=17)]
        public string SupportGroupName {
            get {
                return this.supportGroupNameField;
            }
            set {
                this.supportGroupNameField = value;
                this.RaisePropertyChanged("SupportGroupName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=18)]
        public string AssigneeLoginID {
            get {
                return this.assigneeLoginIDField;
            }
            set {
                this.assigneeLoginIDField = value;
                this.RaisePropertyChanged("AssigneeLoginID");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=19)]
        public string SupportCompany {
            get {
                return this.supportCompanyField;
            }
            set {
                this.supportCompanyField = value;
                this.RaisePropertyChanged("SupportCompany");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=20)]
        public string SupportOrganization {
            get {
                return this.supportOrganizationField;
            }
            set {
                this.supportOrganizationField = value;
                this.RaisePropertyChanged("SupportOrganization");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=21)]
        public string Assignee {
            get {
                return this.assigneeField;
            }
            set {
                this.assigneeField = value;
                this.RaisePropertyChanged("Assignee");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=22)]
        public System.Nullable<MeasurementStatusType> MeasurementStatus {
            get {
                return this.measurementStatusField;
            }
            set {
                this.measurementStatusField = value;
                this.RaisePropertyChanged("MeasurementStatus");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool MeasurementStatusSpecified {
            get {
                return this.measurementStatusFieldSpecified;
            }
            set {
                this.measurementStatusFieldSpecified = value;
                this.RaisePropertyChanged("MeasurementStatusSpecified");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:PTM:Integrasi:CorpSec:GetDataWO")]
    public enum StatusType {
        
        /// <remarks/>
        Assigned,
        
        /// <remarks/>
        Pending,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("Waiting Approval")]
        WaitingApproval,
        
        /// <remarks/>
        Planning,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("In Progress")]
        InProgress,
        
        /// <remarks/>
        Completed,
        
        /// <remarks/>
        Rejected,
        
        /// <remarks/>
        Cancelled,
        
        /// <remarks/>
        Closed,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:PTM:Integrasi:CorpSec:GetDataWO")]
    public enum SLM_StatusType {
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("No Service Target Assigned")]
        NoServiceTargetAssigned,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("Within the Service Target")]
        WithintheServiceTarget,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("Service Target Warning")]
        ServiceTargetWarning,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("Service Target Breached")]
        ServiceTargetBreached,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("All Service Targets Breached")]
        AllServiceTargetsBreached,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:PTM:Integrasi:CorpSec:GetDataWO")]
    public enum MeasurementStatusType {
        
        /// <remarks/>
        Attached,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("In Process")]
        InProcess,
        
        /// <remarks/>
        Pending,
        
        /// <remarks/>
        Unknown,
        
        /// <remarks/>
        Met,
        
        /// <remarks/>
        Missed,
        
        /// <remarks/>
        Invalid,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("Missed Goal")]
        MissedGoal,
        
        /// <remarks/>
        Detached,
        
        /// <remarks/>
        Warning,
        
        /// <remarks/>
        Available,
        
        /// <remarks/>
        Unavailable,
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="New_GetList_Operation_0", WrapperNamespace="urn:PTM:Integrasi:CorpSec:GetDataWO", IsWrapped=true)]
    public partial class New_GetList_Operation_0Request {
        
        [System.ServiceModel.MessageHeaderAttribute(Namespace="urn:PTM:Integrasi:CorpSec:GetDataWO")]
        public Pertamina.CORSEC._2019.GetWorkOrder.AuthenticationInfo AuthenticationInfo;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:GetDataWO", Order=0)]
        public string Qualification;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:GetDataWO", Order=1)]
        public string startRecord;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:GetDataWO", Order=2)]
        public string maxLimit;
        
        public New_GetList_Operation_0Request() {
        }
        
        public New_GetList_Operation_0Request(Pertamina.CORSEC._2019.GetWorkOrder.AuthenticationInfo AuthenticationInfo, string Qualification, string startRecord, string maxLimit) {
            this.AuthenticationInfo = AuthenticationInfo;
            this.Qualification = Qualification;
            this.startRecord = startRecord;
            this.maxLimit = maxLimit;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="New_GetList_Operation_0Response", WrapperNamespace="urn:PTM:Integrasi:CorpSec:GetDataWO", IsWrapped=true)]
    public partial class New_GetList_Operation_0Response {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:PTM:Integrasi:CorpSec:GetDataWO", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute("getListValues")]
        public Pertamina.CORSEC._2019.GetWorkOrder.OutputMapping1GetListValues[] getListValues;
        
        public New_GetList_Operation_0Response() {
        }
        
        public New_GetList_Operation_0Response(Pertamina.CORSEC._2019.GetWorkOrder.OutputMapping1GetListValues[] getListValues) {
            this.getListValues = getListValues;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface New_Port_0PortTypeChannel : Pertamina.CORSEC._2019.GetWorkOrder.New_Port_0PortType, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class New_Port_0PortTypeClient : System.ServiceModel.ClientBase<Pertamina.CORSEC._2019.GetWorkOrder.New_Port_0PortType>, Pertamina.CORSEC._2019.GetWorkOrder.New_Port_0PortType {
        
        public New_Port_0PortTypeClient() {
        }
        
        public New_Port_0PortTypeClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public New_Port_0PortTypeClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public New_Port_0PortTypeClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public New_Port_0PortTypeClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Response Pertamina.CORSEC._2019.GetWorkOrder.New_Port_0PortType.New_GetList_Operation_0(Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Request request) {
            return base.Channel.New_GetList_Operation_0(request);
        }
        
        public Pertamina.CORSEC._2019.GetWorkOrder.OutputMapping1GetListValues[] New_GetList_Operation_0(Pertamina.CORSEC._2019.GetWorkOrder.AuthenticationInfo AuthenticationInfo, string Qualification, string startRecord, string maxLimit) {
            Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Request inValue = new Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Request();
            inValue.AuthenticationInfo = AuthenticationInfo;
            inValue.Qualification = Qualification;
            inValue.startRecord = startRecord;
            inValue.maxLimit = maxLimit;
            Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Response retVal = ((Pertamina.CORSEC._2019.GetWorkOrder.New_Port_0PortType)(this)).New_GetList_Operation_0(inValue);
            return retVal.getListValues;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Response> Pertamina.CORSEC._2019.GetWorkOrder.New_Port_0PortType.New_GetList_Operation_0Async(Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Request request) {
            return base.Channel.New_GetList_Operation_0Async(request);
        }
        
        public System.Threading.Tasks.Task<Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Response> New_GetList_Operation_0Async(Pertamina.CORSEC._2019.GetWorkOrder.AuthenticationInfo AuthenticationInfo, string Qualification, string startRecord, string maxLimit) {
            Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Request inValue = new Pertamina.CORSEC._2019.GetWorkOrder.New_GetList_Operation_0Request();
            inValue.AuthenticationInfo = AuthenticationInfo;
            inValue.Qualification = Qualification;
            inValue.startRecord = startRecord;
            inValue.maxLimit = maxLimit;
            return ((Pertamina.CORSEC._2019.GetWorkOrder.New_Port_0PortType)(this)).New_GetList_Operation_0Async(inValue);
        }
    }
}
